function init() {
	function getElement(selector) {
		return document.querySelector(selector);
	}

	function resizeModal() {
		if (getElement('.modal-photo')) {
			let rect = getElement('.modal-photo').getBoundingClientRect();
			if (rect.width > 1670) {
				document.querySelectorAll('.modal-photo').forEach(function(node) {
					node.style.marginLeft = '-840px';
				});
			}
		}
	}

	function closeModal() {
		let image = document.createElement('img');
		getElement('.modal-photo-overlay').classList.remove('show');
		image.classList.add('modal-photo-img');
		getElement('.modal-photo-img').remove();
		getElement('.modal-photo').appendChild(image);
		getElement('body').classList.remove('overflow');
	}

	function openPhotoModal(photo) {
		getElement('.modal-photo-img').setAttribute('src', photo);
		getElement('.modal-photo-overlay').classList.add('show');
		getElement('body').classList.add('overflow');
		resizeModal();
	}

	window.closeModal = closeModal;
	window.openPhotoModal = openPhotoModal;

	if (getElement('.modal-photo-overlay')) {
		getElement('.modal-photo-overlay').addEventListener('click', closeModal);
	}
}

init();

window.onload = function() {
	var videos = ['https://www.youtube.com/embed/baQeFVKs2Nw', 'https://www.youtube.com/embed/v-lfB7aRuEM', 'https://www.youtube.com/embed/ctKppplIBK8', 'https://www.youtube.com/embed/S4nxRaHEw4E']
	videos.forEach(function() {
		var f = document.createElement('iframe');
		f.src = url;
		f.width = 300;
		f.className = 'sidebar-video';
		f.frameborder = 0;
		f.allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture";
		f.allowfullscreen = true;
		document.querySelector('#youtube').append(f);
		console.log(f);
	});
}
